%define with_debug 0
%define kdrive_builds_vesa 0

%define mesasrcdir %{_prefix}/src/Mesa

%ifarch %{ix86} alpha
%define kdrive_builds_vesa 1
%endif

Name: x11-server
Version: 1.1.1
Release: %mkrel 11
Summary:  X11 servers
Group: System/X11
Source: http://xorg.freedesktop.org/releases/individual/xserver/xorg-server-%{version}.tar.bz2
Source1: xserver.pamd
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libdmx-devel >= 1.0.1
BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: liblbxutil-devel >= 1.0.0
BuildRequires: libmesagl-devel >= 6.4.2
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxaw-devel >= 1.0.1
BuildRequires: libxdmcp-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxfont-devel >= 1.0.0
BuildRequires: libxi-devel >= 1.0.0
BuildRequires: libxkbfile-devel >= 1.0.1
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxkbui-devel >= 1.0.1
BuildRequires: libxmu-devel >= 1.0.0
BuildRequires: libxpm-devel >= 3.5.4.2
BuildRequires: libxrender-devel >= 0.9.0.2
BuildRequires: libxres-devel >= 1.0.0
BuildRequires: libxtst-devel >= 1.0.1
BuildRequires: libxxf86misc-devel >= 1.0.0
BuildRequires: libxxf86vm-devel >= 1.0.0
BuildRequires: mesa-source >= 6.5
BuildRequires: libxfont-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0
BuildRequires: libdmx-devel >= 1.0.1
BuildRequires: libpam-devel
BuildRequires: SDL-devel


# --------- Patches ----------------------------------------------------------
# WARNING: Do not add patches directly! Patches are being managed using git,
# Please send the patches to the maintainer and it will be applied to the git
# branch.
# Each patch contains documentation inside it about what exactly it is for.
Patch1:  0001-Bug-6583-Only-open-proc-bus-pci-devices-once.-Bill-Nottingham.txt
Patch2:  0002-When-we-can-bound-the-maximum-number-of-PCI-devices-to-attempt-to-scan.txt
Patch3:  0003-Use-a-X-wrapper-that-uses-pam-and-consolehelper-to-give-X-root-privileges.txt
Patch4:  0004-Blue-background-on-startup.txt
Patch5:  0005-Fix-fonccache-compilation.txt
Patch6:  0006-kdrive-compilation-is-broken-because-of-some-missing-ld-flags.txt
Patch7:  0007-find-free-VT.txt
Patch8:  0008-drm-permissions.txt
Patch9:  0009-GL-include-inferiors.txt
Patch10: 0010-Xephyr-evdev-support.txt 
Patch11: 0011-fix_configure_dpms.txt 
Patch12: 0012-aiglx-tfp-damage.txt
Patch13: 0013-mesa-copy-sub-buffer.txt
Patch14: 0014-XkbGetKeyboard.txt
Patch15: 0015-happy-vt-switch.txt
Patch16: 0016-Bug-3042-Use-autoconf-to-get-the-correct-name-of-a-struct-member.txt
# -----------------------------------------------------------------------------

Requires: %{name}-xorg
Requires: %{name}-xdmx
Requires: %{name}-xnest
Requires: %{name}-xvfb

%description
X11 servers

#------------------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{name} >= %{version}

%define oldxorgnamedevel  %mklibname xorg-x11
Conflicts: %{oldxorgnamedevel}-devel < 7.0

%description devel
Development files for %{name}

%pre devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files devel
%defattr(-,root,root)
%dir %{_includedir}/xorg
%dir %{_includedir}/X11/bitmaps
%dir %{_includedir}/X11/pixmaps
%{_includedir}/xorg/*.h
%{_includedir}/X11/bitmaps/*
%{_includedir}/X11/pixmaps/*
%{_libdir}/pkgconfig/xorg-server.pc
%{_datadir}/aclocal/xorg-server.m4

#------------------------------------------------------------------------------

%package common
Summary: X server common files
Group: System/X11
Provides: XFree86 = 7.0.0
Conflicts:     xorg-x11 <= 6.9.0-12mdk
Requires: rgb
# for 'fixed' and 'cursor' fonts
Requires: x11-font-misc-misc
Requires: x11-font-cursor-misc
Requires: x11-font-alias                                                  

%description common
X server common files

%files common
%defattr(-,root,root)
%dir %{_libdir}/xorg/modules
%dir %{_libdir}/xserver
%{_bindir}/xorgcfg
%{_bindir}/xorgconfig
%{_bindir}/getconfig*
%{_bindir}/gtf
%{_bindir}/cvt
%{_bindir}/in*
%{_bindir}/ioport
%{_bindir}/out*
%{_bindir}/pcitweak
%{_bindir}/scanpci
%{_bindir}/vdltodmx
%{_libdir}/X11/getconfig*
%{_libdir}/X11/Cards
%{_libdir}/X11/Options
%{_libdir}/X11/xserver/*
%{_libdir}/xorg/modules/*
%{_libdir}/xserver/SecurityPolicy
%{_datadir}/X11/xkb/README.compiled
%{_mandir}/man1/xorgcfg.*.bz2
%{_mandir}/man1/xorgconfig.*.bz2
%{_mandir}/man1/getconfig.*.bz2
%{_mandir}/man1/gtf.*.bz2
%{_mandir}/man1/cvt.1.bz2
%{_mandir}/man1/pcitweak.*.bz2
%{_mandir}/man1/scanpci.*.bz2
%{_mandir}/man1/vdltodmx.*.bz2
%{_mandir}/man4/fbdevhw.4.bz2
%{_mandir}/man5/getconfig.*.bz2
%exclude %{_libdir}/X11/xserver/C

#------------------------------------------------------------------------------

%package xorg
Summary: X.org X11 server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}
Requires: x11-data-xkbdata >= 1.0.1 
Requires: x11-font-alias
Requires: libx11-common
Requires: x11-driver-input-mouse
Requires: x11-driver-input-keyboard
#Obsoletes: xorg-x11-server < 7.0
#Provides: xorg-x11-server = 7.0

%description xorg
x11-server-xorg is the new generation of X server from X.Org.

%files xorg
%defattr(-,root,root)
%{_bindir}/X
%{_bindir}/Xorg
%attr(4755,root,root)%{_bindir}/Xwrapper
%{_sysconfdir}/X11/X
%{_sysconfdir}/pam.d/xserver
%{_sysconfdir}/security/console.apps/xserver
%{_datadir}/X11/app-defaults/XOrgCfg
%{_mandir}/man1/Xorg.*.bz2
%{_mandir}/man1/Xserver.*.bz2
%{_mandir}/man5/xorg.conf.*.bz2

#------------------------------------------------------------------------------

%package xdmx
Summary: Distributed Multi-head X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}
#Obsoletes: xorg-x11-Xdmx < 7.0
#Provides: xorg-x11-Xdmx = 7.0

%description xdmx
Xdmx is a proxy X server that uses one or more other X servers
as its display devices. It provides multi-head X functionality
for displays that might be located on different machines.
Xdmx functions as a front-end X server that acts as a proxy
to a set of back-end X servers. All of the visible rendering is
passed to the back-end X servers. Clients connect to the Xdmx
front-end, and everything appears as it would in a regular
multi-head configuration. If Xinerama is enabled (e.g.,
with +xinerama on the command line), the clients see a single large screen.

Xdmx communicates to the back-end X servers using the standard X11 protocol,
and standard and/or commonly available X server extensions.

%files xdmx
%defattr(-,root,root)
%{_bindir}/Xdmx
%{_bindir}/xdmx*
%{_bindir}/dmx*
%{_mandir}/man1/Xdmx.*.bz2
%{_mandir}/man1/xdmxconfig.*.bz2
%{_mandir}/man1/dmxtodmx.*.bz2

#------------------------------------------------------------------------------

%package xnest
Summary: A nested X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}
#Obsoletes: xorg-x11-Xnest < 7.0
#Provides: xorg-x11-Xnest = 7.0

%description xnest
Xnest is an X Window System server which runs in an X window.
Xnest is a 'nested' window server, actually a client of the
real X server, which manages windows and graphics requests
for Xnest, while Xnest manages the windows and graphics
requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for
testing purposes).

%files xnest
%defattr(-,root,root)
%{_bindir}/Xnest
%{_mandir}/man1/Xnest.*.bz2

#------------------------------------------------------------------------------

%package xprt
Summary: A X print server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}
#Obsoletes: xorg-x11-Xprt < 7.0
#Provides: xorg-x11-Xprt = 7.0

%description xprt
A X11 Print server. Xprt is an advanced printing system which
enables X11 applications to use devices like printers, FAX or
create documents in formats like PostScript, PDF, PCL, etc.

%files xprt
%defattr(-,root,root)
%{_bindir}/Xprt
%{_libdir}/X11/xserver/C/print
%{_mandir}/man1/Xprt.*.bz2

#------------------------------------------------------------------------------

%package xvfb
Summary: X virtual framebuffer server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}
#Obsoletes: xorg-x11-Xvfb < 7.0
#Provides: xorg-x11-Xvfb = 7.0

%description xvfb
Xvfb (X Virtual Frame Buffer) is an X Windows System server
that is capable of running on machines with no display hardware and no
physical input devices.  Xvfb emulates a dumb framebuffer using virtual
memory.  Xvfb doesn't open any devices, but behaves otherwise as an X
display.  Xvfb is normally used for testing servers.  Using Xvfb, the mfb
or cfb code for any depth can be exercised without using real hardware
that supports the desired depths.  Xvfb has also been used to test X
clients against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load testing,
to help with porting an X server to a new platform, and to provide an
unobtrusive way of running applications which really don't need an X
server but insist on having one.

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%files xvfb
%defattr(-,root,root)
%{_bindir}/Xvfb
%{_mandir}/man1/Xvfb.*.bz2

#------------------------------------------------------------------------------

%package xati
Summary: KDrive ati X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xati
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for ATI chipsets.

%if %kdrive_builds_vesa
%files xati
%defattr(-,root,root)
%{_bindir}/Xati
%endif

#------------------------------------------------------------------------------

%package xchips
Summary: KDrive chips X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xchips
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for Chips chipsets.

%if %kdrive_builds_vesa
%files xchips
%defattr(-,root,root)
%{_bindir}/Xchips
%endif

#------------------------------------------------------------------------------

%package xephyr
Summary: KDrive Xephyr X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xephyr
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

Xephyr is a X Server which targets a window on a host X Server
as its framebuffer. Unlike Xnest it supports modern X extensions ( even
if host server doesn't ) such as Composite, Damage, randr etc. It uses SHM
Images and shadow framebuffer updates to provide good performance. It also
has a visual debugging mode for observing screen updates.

Possible uses include; 
- Xnest replacement - Window manager, Composite 'gadget', etc development tool. 
- Toolkit debugging - rendundant toolkit paints can be observered easily via
  the debugging mode. 
- X Server internals development - develop without the need for an extra
  machine

%files xephyr
%defattr(-,root,root)
%{_bindir}/Xephyr

#------------------------------------------------------------------------------

%package xepson
Summary: KDrive epson X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xepson
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for Epson chipsets.

%if %kdrive_builds_vesa
%files xepson
%defattr(-,root,root)
%{_bindir}/Xepson
%endif

#------------------------------------------------------------------------------
 
%package xfake
Summary: KDrive fake X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xfake
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for testing purposes.

%files xfake
%defattr(-,root,root)
%{_bindir}/Xfake

#------------------------------------------------------------------------------
  
%package xfbdev
Summary: KDrive fbdev X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xfbdev
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for being used on top of linux framebuffer.

%files xfbdev
%defattr(-,root,root)
%{_bindir}/Xfbdev

#------------------------------------------------------------------------------
 
%package xi810
Summary: KDrive i810 X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xi810
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for Intel chipsets.

%if %kdrive_builds_vesa
%files xi810
%defattr(-,root,root)
%{_bindir}/Xi810
%endif

#------------------------------------------------------------------------------
 
%package xmach64
Summary: KDrive mach64 X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xmach64
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for mach64 chipsets.

%if %kdrive_builds_vesa
%files xmach64
%defattr(-,root,root)
%{_bindir}/Xmach64
%endif

#------------------------------------------------------------------------------
 
%package xmga
Summary: KDrive mga X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xmga
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for mga chipsets.

%if %kdrive_builds_vesa
%files xmga
%defattr(-,root,root)
%{_bindir}/Xmga
%endif

#------------------------------------------------------------------------------
 
%package xneomagic
Summary: KDrive neomagic X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xneomagic
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for neomagic chipsets.

%if %kdrive_builds_vesa
%files xneomagic
%defattr(-,root,root)
%{_bindir}/Xneomagic
%endif

#------------------------------------------------------------------------------
 
%package xnvidia
Summary: KDrive nvidia X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xnvidia
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for nvidia chipsets.

%if %kdrive_builds_vesa
%files xnvidia
%defattr(-,root,root)
%{_bindir}/Xnvidia
%endif

#------------------------------------------------------------------------------
 
%package xpm2
Summary: KDrive pm2 X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xpm2
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for Permedia2 chipsets.

%if %kdrive_builds_vesa
%files xpm2
%defattr(-,root,root)
%{_bindir}/Xpm2
%endif

#------------------------------------------------------------------------------
 
%package xr128
Summary: KDrive r128 X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xr128
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for rage128 chipsets.

%if %kdrive_builds_vesa
%files xr128
%defattr(-,root,root)
%{_bindir}/Xr128
%endif

#------------------------------------------------------------------------------
 
%package xsdl
Summary: KDrive sdl X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xsdl
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDriver server runs on top of the Simple DirectMedia Layer.

%files xsdl
%defattr(-,root,root)
%{_bindir}/Xsdl

#------------------------------------------------------------------------------
 
%package xsmi
Summary: KDrive smi X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xsmi
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for Silicon Motion chipsets.

%if %kdrive_builds_vesa
%files xsmi
%defattr(-,root,root)
%{_bindir}/Xsmi
%endif

#------------------------------------------------------------------------------
 
%package xvesa
Summary: KDrive vesa X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xvesa
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for VESA capable chipsets.

%if %kdrive_builds_vesa
%files xvesa
%defattr(-,root,root)
%{_bindir}/Xvesa
%endif

#------------------------------------------------------------------------------
 
%package xvia
Summary: KDrive via X server
Group: System/X11
Requires: x11-server-common = %{version}-%{release}

%description xvia
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for VIA chipsets.

%if %kdrive_builds_vesa
%files xvia
%defattr(-,root,root)
%{_bindir}/Xvia
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n xorg-server-%{version}

#patches
%patch1  -p1 -b .proc_bus_devices_once
%patch2  -p1 -b .bound_pci
%patch3  -p1 -b .xwrapper
%patch4  -p1 -b .blue_bg
%patch5  -p1 -b .fontcache_fix
%patch6  -p1 -b .kdrive_fix
%patch7  -p1 -b .vt7
%patch8  -p1 -b .drm_permissions
%patch9  -p1 -b .gl_include_inferiors
%patch10 -p1 -b .evdev
%patch11 -p1 -b .dpms_config
%patch12 -p1 -b .aiglx_tfp_damage
%patch13 -p1 -b .mesa_subbuffer 
%patch14 -p1 -b .XkbGetKeyboard
%patch15 -p1 -b .happy_vt_switch
%patch16 -p1 -b .autoconf_struct_members

%build
aclocal && autoconf && automake
%configure2_5x  --x-includes=%{_includedir} \
                --x-libraries=%{_libdir} \
 		--with-log-dir=%{_logdir} \
		%if %{with_debug}
  		--enable-debug \
		%else
		--disable-debug \
		%endif
 		--enable-builddocs \
  		--disable-install-libxf86config \
  		--enable-composite \
  		--enable-shm \
  		--enable-xres \
  		--enable-xtrap \
  		--enable-record \
  		--enable-xv \
  		--enable-xvmc \
  		--enable-dga \
  		--enable-screensaver \
  		--enable-xdmcp \
  		--enable-xdm-auth-1 \
  		--enable-glx \
  		--enable-aiglx \
  		--enable-glx-tls \
  		--enable-dri \
		--with-mesa-source=%{mesasrcdir} \
  		--enable-xinerama \
  		--enable-xf86vidmode \
  		--enable-xf86misc \
  		--enable-xcsecurity \
		--enable-xevie \
  		--enable-lbx \
  		--enable-appgroup \
  		--enable-cup \
  		--enable-evi \
  		--enable-xf86bigfont \
  		--enable-dpms \
  		--enable-xinput \
  		--enable-multibuffer \
  		--enable-fontcache \
  		--enable-dbe \
  		--enable-xorg \
  		--enable-dmx \
  		--enable-xvfb \
  		--enable-xnest \
  		--disable-xwin \
  		--enable-xprint \
  		--disable-xgl \
  		--disable-xglx \
  		--disable-xegl \
  		--enable-kdrive \
  		--enable-xephyr \
  		--enable-xsdl \
     	--disable-freetype \
  		--disable-install-setuid \
 		--enable-secure-rpc \
  		--enable-xorgcfg \
  		--enable-kbd_mode \
		--enable-xwrapper \
		--enable-pam \
      --with-fontdir=%_datadir/fonts \
      --with-default-font-path="%_datadir/fonts/misc:unscaled,unix/:-1"
%make

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%{_sysconfdir}/X11/
ln -s %{_bindir}/Xorg %{buildroot}%{_sysconfdir}/X11/X
ln -sf %{_bindir}/Xwrapper %{buildroot}%{_bindir}/X

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 0644 %{_sourcedir}/xserver.pamd %{buildroot}%{_sysconfdir}/pam.d/xserver     
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
touch %{buildroot}%{_sysconfdir}/security/console.apps/xserver

# move README.compiled outside compiled/ dir, so there won't be any problem with x11-data-xkbdata
mv -f %{buildroot}%{_datadir}/X11/xkb/compiled/README.compiled %{buildroot}%{_datadir}/X11/xkb/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)



%changelog
* Sun Sep 17 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-17 13:36:59 (61806)
- rebuild for _mesa_update_draw_buffer_bounds fix (#25555)

* Mon Sep 04 2006 Pixel <pixel@mandriva.com>
+ 2006-09-04 05:33:40 (59735)
- adapt background color (as requested by our graphic team)

* Thu Aug 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-08-31 08:13:34 (58982)
- Added a patch to use autoconf to get the correct name of a struct member.
  This allows removing the kernel version ifdefs from the code. It also fixes
  compilation on sparc.

* Tue Aug 29 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-08-29 13:22:16 (58694)
- Xorg needs core input devices (#23062)

* Mon Aug 28 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-08-28 18:19:07 (58571)
- applied patches 0014 and 0015 in the git repository, and reformatted them

* Mon Aug 28 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-28 13:17:56 (58506)
- fix freeze on VT switch when using AIGLX (#24559) using temporary patch from https://bugs.freedesktop.org/show_bug.cgi?id=7916

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 13:18:03 (57943)
- bump release

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 13:17:27 (57942)
- add XkbGetKeyboard (thanks to Pixel for the debugging, #24612)

* Mon Aug 21 2006 Antonio Hobmeir Neto <neto@mandriva.com>
+ 2006-08-21 15:01:17 (57053)
- x11-server-xorg needs x11-font-alias (#22695)

* Wed Aug 16 2006 Pixel <pixel@mandriva.com>
+ 2006-08-16 15:06:55 (56470)
- (minor) remove old source

* Wed Aug 16 2006 Pixel <pixel@mandriva.com>
+ 2006-08-16 15:06:33 (56469)
- fix default font path (nb: /usr/share/fonts is not valid, /usr/share/fonts/misc is)

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 14:01:45 (52766)
- Directories are comma separated

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 13:30:25 (52760)
- Fixed correct new font path. Before the change, server was tied to one
  specific hardcoded directory %%%%_libdir/X11/fonts, but fonts are located on /usr/lib/X11/fonts
  so that's explain why fixing XFS for x86_64 isn't work for all X applications.
  Now the standard font dir is /usr/share/fonts, but X will look for old paths
  too, for legacy reasons, including the non 64 versionated lib/X11.

* Fri Jul 21 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-07-21 08:29:13 (41875)
- readd damage tracking support for tfp in AIGLX
- add support for mesa to copy subbuffers when subtexturing

* Wed Jul 12 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-07-12 16:56:38 (41027)
- new upstream release (1.1.1):
    * Delete a (now misleading) message from the crash handler.
    * Switch the default mouse device on Linux to /dev/input/mice.
    * PPC64 build fix.
    * Generate xprint.pre from xprint.cpp.
    * Remove hardcoded 'lib' in XPRINTDIR.
    * Fix MMX Saturate implementation.
    * Freedesktop Bug #7366: Fix two crashes in operations on source pictures.
    * Freedesktop Bug #7366: Fix crashes when setting filters on source pictures.
    * Fix bugs in support for new repeatTypes in XAA and EXA.
    * Correct AGP memory deallocation argument on *BSD.
    * Move EXA_PM_IS_SOLID() to the public API, since drivers will want it frequently.
    * Correct component ordering when fetching [ax]4b4g4r4 pixels.
    * Fix crash when using PICT_x4a4 by supplying an appropriate fbFetchPixel_x4a4.
    * Freedesktop Bugzilla #5120, #7246: In CW's GC ops, validate the backing GC against the
    * Don't try to dist the .cvsignore files.
    * Bump package version to 1.1.1 for release, and vendor release to 7.1.1.0.
    * Pull over convolution filter fixes from xgl-0-0-1 branch.
    * Freedesktop bug #2488 for fb too: sample pixel center when transforming.
    * Check setuid() return value. Freedesktop Bugzilla #7116.
    * Fix byte swapping in some GLX requests.
    * Freedesktop Bug #7213: Fix the XFree86-DRI extension for byte-swapped clients.
- Removed convolution filter patches: applied upstream
- Removed check setuid return patches: applied upstream

* Fri Jul 07 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-07-07 10:04:01 (38481)
- Enable DPMS (by fixing the configure script)

* Mon Jul 03 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-07-03 11:05:06 (38323)
- Removed the FIXME lines. All fixed.
- Added a patch providing evdev support for the Xephyr kdrive server. It is used
  for multihead/multiseat solutions

* Thu Jun 22 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-22 13:03:36 (37859)
- removed the patch for damage support in tfp (it is not working fine yet)
- added a patch fixing the software fallback convolution filter
  (fix the shadows when using compiz for example)
- added a patch checking the return value of setuid

* Mon Jun 19 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-19 09:32:26 (37618)
- Use git to manage xorg patches
- Added patches fixing AIGLX (documentation for each patch is inside the patch
  file).
    * GL include inferiors
    * AIGLX tfp damage tracking
- Added patches optimizing the PCI scanning process
  (backported from development tree)

* Thu Jun 08 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-08 13:08:01 (36831)
- removed old unused patch (Xorg-6.7.0-isolate_device)

* Wed Jun 07 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-07 18:36:15 (36797)
- fix too long descriptions

* Wed Jun 07 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-07 08:21:41 (36768)
- rebuild to fix x86_64 compilation

* Tue Jun 06 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-06 13:54:52 (36718)
- fix build on x86_64

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-06-06 12:48:46 (36713)
- Patch6 : don't change drm device permission unless asked (patch from libdrm)

* Sun Jun 04 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-06-04 15:52:10 (31919)
- fix filelist for archs where kdrive vesa and derived servers are not built

* Fri Jun 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-02 16:29:44 (31889)
- added patch: try to find an empty VT to start the X server
- removed old tarball

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:18:19 (31823)
- fixed patch for lbx symbols. The buildorder was wrong

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 17:27:44 (31822)
- added a patch fixing some missing lbx linking options when compiling kdrive
- enabled kdrive support. this enable the compilation of the following servers:
    * x11-server-xati
    * x11-server-xchips
    * x11-server-xephyr
    * x11-server-xepson
    * x11-server-xfake
    * x11-server-xfbdev
    * x11-server-xi810
    * x11-server-xmach64
    * x11-server-xmga
    * x11-server-xneomagic
    * x11-server-xnvidia
    * x11-server-xpm2
    * x11-server-xr128
    * x11-server-xsdl
    * x11-server-xsmi
    * x11-server-xvesa
    * x11-server-xvia

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 12:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 08:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-05-25 17:48:10 (31603)
- Added dependency on x11-server-common to all server packages,
  added some dependencies to x11-server-common so the servers
  can find the fixed and cursor fonts

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 13:35:40 (31592)
- X11R7.1
- KDrive is not building fine, so it is disabled for now. It will be re-enabled
  as soon as I get it to compile.

* Wed May 24 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-24 04:20:29 (31440)
- Fix conflict

* Tue May 23 2006 Pixel <pixel@mandriva.com>
+ 2006-05-23 04:46:11 (27881)
- named colors are transformed by the X server, so ensure rgb.txt is there by requiring it in x11-server-xorg

* Thu May 18 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-18 14:36:57 (27649)
- 6mdk

* Thu May 18 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-18 14:04:56 (27635)
- Moved README.compiled out of compiled dir

* Wed May 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-17 15:48:37 (27576)
- Added /etc/security/console.apps/xserver
  (Thanks Laurent for the report)
- Added version to the XFree86 provide

* Tue May 16 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-16 20:44:41 (27494)
- Add packager tag
- Add missing XFree86 provide tag to x11-server-common

* Wed May 10 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-10 17:00:12 (27076)
- added missing buildrequires

* Tue May 09 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-09 16:19:16 (27040)
- disabling some obsoletes/provides for now to test another update strategy

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 15:25:17 (26918)
- increment release

* Wed Apr 26 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-26 22:02:05 (26704)
- Adding X.org 7.0 to the repository
